<template>
    <div class="cont">
        <appBar />
        <sideDrawer />
        <v-row>
            <v-col cols="3" class="pa-0 pl-2">
                <selectProject />
                <treeview />
            </v-col>
            <v-col cols="6" class="pa-0">
                <writeBox />
            </v-col>
            <v-col cols="3" class="pa-0">
                <conversation />
            </v-col>
        </v-row>
    </div>
</template>

<script>
import appBar from "../basic/appBar";
import sideDrawer from "../basic/sideDrawer";
import writeBox from "./writeBox";
import treeview from "./treeview";
import conversation from "../chat/conversation";
import selectProject from "./selectProject";
export default {
    name: "WritePage",
    components: {
        appBar,
        sideDrawer,
        writeBox,
        treeview,
        conversation,
        selectProject,
    },
    data: () => ({}),
    methods: {},
    beforeDestroy: function() {
        this.$evtbus.$emit("CodeEdit.UserLeave", this.$store.getters.userName);
    },
    mounted() {},
};
</script>

<style scoped>
.cont {
    background-color: #f8ffaa;
    height: 100%;
    width: 100%;
}
</style>
